Bug 446366 - NFS upgrade fails if F8 images are present
NFS upgrade fails if F8 images are present
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 06:36 EDT by Simon Andrews
Modified: 2009-07-14 10:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log from failed update. (52.39 KB, text/plain)
2008-05-14 06:38 EDT, Simon Andrews
no flags Details
Syslog from failed update (44.38 KB, text/plain)
2008-05-14 06:38 EDT, Simon Andrews
no flags Details

  None (edit)
Description Simon Andrews 2008-05-14 06:36:50 EDT
Description of problem:
On my F8 install an nfs update to F9 fails if the F8 DVD image is in the nfs
directory containing the F9 DVD image.  Anaconda seems to mistakenly pick up the
F8 image and then think that there are no packages to update.


Version-Release number of selected component (if applicable):
F9 final release.

How reproducible:
Every time on this one machine at least.

Steps to Reproduce:
1. Start from fully updated F8
2. Start an nfs install (tried text and graphical)
3. Point to an nfs directory which contains both the F9 and F8 DVD images.
4. Follow prompts to upgrade
  
Actual results:
Upgrade happens very quickly, but says it has completed successfully.  In actual
fact nothing has been updated and the machine is still running F8.

Expected results:
F8 is upgraded to F9.
Comment 1 Simon Andrews 2008-05-14 06:38:00 EDT
Created attachment 305347 [details]
Anaconda log from failed update.
Comment 2 Simon Andrews 2008-05-14 06:38:32 EDT
Created attachment 305348 [details]
Syslog from failed update
Comment 3 Simon Andrews 2008-05-14 06:39:48 EDT
I should add, that moving all the non F9 images out from the nfs directory has
now allowed this machine to be successfully updated.  No other changes were made
to the update procedure.
Comment 4 Chris Lumens 2008-05-15 00:27:37 EDT
Right, that is to be expected.  However we are moving more and more down the
path of separating anaconda from the installation payload so I don't see that
there's much we can do here to check for matching versions.  It's really just
best to keep the installation media in separate locations from here on out.
Comment 5 Simon Andrews 2008-05-15 04:52:34 EDT
Thanks for the reply.  I have to say that this caught me completely unaware and
certainly wasn't what I expected!  I've done many nfs installs before and have a
single ISO directory where all my ISOs are kept and I'd be surprised if I was
the only one to do this.

The problem I faced in the install was that at no point was there any indication
that anything had gone wrong (apart from the fact that it completed so
quickly!).  I saw an installer with Fedora 9 written all over it, and got a
message telling me I had successfully upgraded.  This can't be the expected
behaviour.

It may well be that with the way the architecture pans out that anaconda isn't
the place to handle this, but it should be handled somewhere.  Even a simple
list of ISOs found after you've done the NFS configuration so you can select the
right one would be OK.  An error warning that multiple install targets were
found and a note saying which one it was using would have done, but would be
less useful.
Comment 6 Chris Lumens 2008-12-11 17:36:39 EST
Yeah, I am beginning to wonder if it makes sense to have a dialog in the second stage UI that says something to the effect of:  "I found the following ISO images.  Do you really want to proceed with using them?"

I see two problems with this approach:

(1) By the time we go looking for ISO images with packages on them, we've partitioned and it's really too late to stop installation and change your mind.

(2) Putting it in install.img means there's no help when we go looking for the install.img itself, and that's where a lot of the confusion here is coming from.

Jeremy, any interesting ideas on clearing up the confusion described in comment #5?
Comment 7 Jeremy Katz 2008-12-12 12:39:44 EST
(In reply to comment #6)
> Yeah, I am beginning to wonder if it makes sense to have a dialog in the second
> stage UI that says something to the effect of:  "I found the following ISO
> images.  Do you really want to proceed with using them?"
> 
> I see two problems with this approach:
> 
> (1) By the time we go looking for ISO images with packages on them, we've
> partitioned and it's really too late to stop installation and change your mind.

It's probably not _worse_ than what we do now.

> (2) Putting it in install.img means there's no help when we go looking for the
> install.img itself, and that's where a lot of the confusion here is coming
> from.

Yeah, pain.

> Jeremy, any interesting ideas on clearing up the confusion described in comment
> #5?

Nothing springs to mind right now :/
Comment 8 Bug Zapper 2009-06-09 20:47:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 10:59:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.